#include "MonochromeLib.h"

#ifdef DESKTOP
#include <SDL2/SDL.h>
#endif

int main(int argc, char const *argv[])
{
	ML_init();
	int i = 0;
	unsigned char spr[8] = {0xFF, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0xFF};
	unsigned short spr16[] = {0xFFFF, 0x8001,  0x8001,  0x8001,  0x8001,  0x8001,  0x8001,  0x8001,  0x8001,  0x8001,  0x8001,  0x8001,  0x8001,  0x8001,  0x8001, 0xFFFF};
	while(1) {
		ML_clear_vram();
		ML_rectangle(0, 0, 127, 31, 0, ML_BLACK, ML_CHECKER);
		// ML_bmp_8_and_cl(spr, i - 7, 0);
		// ML_bmp_8_or_cl (spr, i - 7, 32);
		// ML_bmp_8_xor_cl(spr, i - 7, 16);
		// ML_bmp_8_xor_cl(spr, i - 7, 48);

		// ML_bmp_16_and_cl(spr16, i, 0);
		// ML_bmp_16_or_cl (spr16, i, 32);
		// ML_bmp_16_xor_cl(spr16, i, 16);
		// ML_bmp_16_xor_cl(spr16, i, 48);

		// ML_bmp_and_cl(spr, i - 7, 0, 8, 8);
		ML_bmp_or (spr, i, 48, 8, 8);
		// ML_bmp_xor_cl(spr, i - 7, 16, 8, 8);
		// ML_bmp_xor_cl(spr, i - 7, 48, 8, 8);

		// ML_bmp_16_and_cl(spr16, i, 0);
		ML_bmp_or (spr16, i, 32, 16, 16);
		// ML_bmp_16_xor_cl(spr16, i, 16);
		// ML_bmp_16_xor_cl(spr16, i, 48);

		ML_display_vram();
		i = (i+1)%128;
		SDL_Delay( 500 );
		
	}
	return 0;
}